FREEFOAM-FOAMTOVTK(1)

NAME
freefoam-foamToVTK - Legacy VTK file format writer.

SYNOPSIS

freefoam foamToVTK [-noLinks] [-srcDoc] [-noFaceZones] [-nearCellValue] [-noPointValues] [-noInternal] [-useTimeName] [-ascii] [-doc] [-surfaceFields] [-mesh <name>] [-help] [-cellSet <name>] [-noZero] [-excludePatches <patchNames>] [-time <time>] [-case <dir>] [-pointSet <name>] [-latestTime] [-fields <fields>] [-constant] [-parallel] [-faceSet <name>] [-allPatches]

DESCRIPTION

    • handles volScalar, volVector, pointScalar, pointVector, surfaceScalar fields.

    • mesh topo changes.

    • both ascii and binary.

    • single time step writing.

    • write subset only.

    • automatic decomposition of cells; polygons on boundary undecomposed since handled by vtk.

OPTIONS

-ascii
    Write VTK data in ASCII format instead of binary.

-mesh <name>
    Use a different mesh name (instead of -region)

-fields <fields>
    Convert selected fields only. For example,

             -fields "( p T U )"

    The quoting is required to avoid shell expansions and to pass the information as a single argument.

-surfaceFields
    Write surfaceScalarFields (e.g., phi)

-cellSet <name>, -faceSet <name>, -pointSet <name>
    Restrict conversion to the cellSet, faceSet or pointSet.

-nearCellValue
    Output cell value on patches instead of patch value itself.

-noInternal
    Do not generate file for mesh, only for patches.

-noPointValues
    No pointFields.

-noFaceZones
    No faceZones.

-noLinks
    (in parallel) do not link processor files to master.

-allPatches
    Combine all patches into a single file.

-excludePatches <patchNames>
    Specify patches to exclude. For example,

             -excludePatches "( inlet_1 inlet_2 )"

    The quoting is required to avoid shell expansions and to pass the information as a single argument.

-useTimeName
    use the time index in the VTK file name instead of the time index

-case <dir>
    Case directory.

-noZero
    Ignore time step 0.

-constant
    Include the constant directory.

-latestTime
    Only apply to the latest time step.

-time <time>
    Apply only to specified time.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

mesh subset is handled by vtkMesh. Slight inconsistency in interpolation: on the internal field it interpolates the whole volfield to the whole-mesh pointField and then selects only those values it needs for the subMesh (using the fvMeshSubset cellMap(), pointMap() functions). For the patches however it uses the fvMeshSubset.interpolate function to directly interpolate the whole-mesh values onto the subset patch.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.